Bug 1191544 - qtile
Summary: qtile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On: 1188093
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 13:31 UTC by Jaroslav Reznik
Modified: 2015-07-21 12:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== Qtile == Fedora 22 includes Qtile, the lightweight, extensible, tiling window manager written in Python. The available version is 0.9.1. <screenshot from the website> To install Qtile, use the ''dnf install qtile'' command. Also see the project's website (http://www.qtile.org/) for an introduction, general information, documentation and screenshots, and the release notes (https://github.com/qtile/qtile/blob/master/CHANGELOG) for information about changes between releases.
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:31 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-11 13:31:51 UTC
This is a tracking bug for Change: qtile
For more details, see: https://fedoraproject.org//wiki/Changes/qtile

qtile is a tiling window manager written in python.  More can be found at the project's website

Comment 1 Jaroslav Reznik 2015-02-20 10:01:43 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Mairi Dulaney 2015-02-21 03:59:46 UTC
At the moment, waiting on my review to be completed.  Have not heard anything from the reviewer in several days.  Set review as blocker.

Comment 3 Mairi Dulaney 2015-02-24 15:54:18 UTC
Qtile is in Fedora.

Comment 4 Jaroslav Reznik 2015-03-24 11:41:42 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 5 Jaroslav Reznik 2015-03-30 10:16:47 UTC
John,
is qtile change considered to be completed? See above. Thanks.

Comment 6 Mairi Dulaney 2015-03-30 11:13:11 UTC
Yes, it is.

Comment 7 Petr Bokoc 2015-04-08 13:10:36 UTC
Hello John, we'd like to include this change in the F22 Beta Release Notes.

Please take a look at the draft I've posted to the Doc Text field, and let me know whether this is sufficient, or if there's something you'd like to add or change.

Thanks!

Comment 8 Mairi Dulaney 2015-04-08 18:59:20 UTC
Looks fine to me.

Comment 9 Raphael Groner 2015-07-21 12:09:54 UTC
It would be cool to have qtile in the LXQt remix or spin.

https://fedoraproject.org/wiki/LXQt_SIG
https://fedoraproject.org/wiki/LXQt:_Suggested_Applications


Note You need to log in before you can comment on or make changes to this bug.